summaryrefslogtreecommitdiff
path: root/phpdoc.sh
diff options
context:
space:
mode:
Diffstat (limited to 'phpdoc.sh')
-rwxr-xr-xphpdoc.sh8
1 files changed, 4 insertions, 4 deletions
diff --git a/phpdoc.sh b/phpdoc.sh
index cfd140d..0d08417 100755
--- a/phpdoc.sh
+++ b/phpdoc.sh
@@ -3,7 +3,7 @@
set -u
set -e
-W3M="$(/usr/bin/which w3m)" || true
+ELINKS="$(/usr/bin/which elinks)" || true
function usage
{
@@ -15,12 +15,12 @@ function lookup_function
local name="$1"
local filename="function.$(echo "${name}" | /usr/bin/sed 's/_/-/g').html"
- if [ ! -n "${W3M}" ]; then
- echo "w3m not found."
+ if [ ! -n "${ELINKS}" ]; then
+ echo "elinks not found."
exit 1;
fi
- ${W3M} "/usr/share/doc/php/php-chunked-xhtml/${filename}"
+ elinks --no-references --no-numbering -dump -dump-color-mode 1 "/usr/share/doc/php/php-chunked-xhtml/${filename}" | less -R
}
opt_f=